"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.componentAnalyzer = void 0;
const schema_1 = require("../utils/schema");
const componentAnalyzer = (container) => {
    let hasRefAttr = false;
    const nodeValidator = (n) => {
        if (n.props) {
            const props = n.props;
            if (props.ref) {
                hasRefAttr = true;
            }
        }
    };
    nodeValidator(container);
    if (!hasRefAttr && container.children) {
        // eslint-disable-next-line @typescript-eslint/no-invalid-void-type
        (0, schema_1.handleSubNodes)(container.children, {
            node: nodeValidator,
        }, {
            rerun: true,
        });
    }
    return {
        isUsingRef: hasRefAttr,
    };
};
exports.componentAnalyzer = componentAnalyzer;
//# sourceMappingURL=componentAnalyzer.js.map