"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../const/generator");
const types_1 = require("../../../types");
const const_1 = require("./const");
const pluginFactory = (config) => {
    const cfg = Object.assign({ fileType: types_1.FileType.JSX }, config);
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        const ir = next.ir;
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: generator_1.CLASS_DEFINE_CHUNK_NAME.InsVar,
            content: `
         _methods = this._defineMethods();
      `,
            linkAfter: [generator_1.CLASS_DEFINE_CHUNK_NAME.Start],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: const_1.RAX_CHUNK_NAME.MethodsBegin,
            content: `
        _defineMethods() {
          return ({
      `,
            linkAfter: [
                const_1.RAX_CHUNK_NAME.ClassRenderEnd,
                generator_1.CLASS_DEFINE_CHUNK_NAME.InsPrivateMethod,
                const_1.RAX_CHUNK_NAME.LifeCyclesEnd,
            ],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: const_1.RAX_CHUNK_NAME.MethodsEnd,
            content: `
          });
        }
      `,
            linkAfter: [const_1.RAX_CHUNK_NAME.MethodsBegin, const_1.RAX_CHUNK_NAME.MethodsContent],
        });
        if (ir.methods && Object.keys(ir.methods).length > 0) {
            Object.entries(ir.methods).forEach(([methodName, methodDefine]) => {
                next.chunks.push({
                    type: types_1.ChunkType.STRING,
                    fileType: cfg.fileType,
                    name: const_1.RAX_CHUNK_NAME.MethodsContent,
                    content: `${methodName}: (${methodDefine.value}),`,
                    linkAfter: [const_1.RAX_CHUNK_NAME.MethodsBegin],
                });
            });
        }
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=containerMethods.js.map