"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const static_files_1 = require("./static-files");
const raxAppTemplate = {
    slots: {
        components: {
            path: ['src', 'components'],
        },
        pages: {
            path: ['src', 'pages'],
        },
        router: {
            path: ['src'],
            fileName: 'router',
        },
        entry: {
            path: ['src'],
            fileName: 'app',
        },
        appConfig: {
            path: ['src'],
            fileName: 'app',
        },
        buildConfig: {
            path: [],
            fileName: 'build',
        },
        constants: {
            path: ['src'],
            fileName: 'constants',
        },
        utils: {
            path: ['src'],
            fileName: 'utils',
        },
        i18n: {
            path: ['src'],
            fileName: 'i18n',
        },
        globalStyle: {
            path: ['src'],
            fileName: 'global',
        },
        htmlEntry: {
            path: ['src', 'document'],
            fileName: 'index',
        },
        packageJSON: {
            path: [],
            fileName: 'package',
        },
    },
    generateTemplate() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return (0, static_files_1.generateStaticFiles)();
        });
    },
};
exports.default = raxAppTemplate;
//# sourceMappingURL=index.js.map