"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Scope = void 0;
const ScopeBindings_1 = require("./ScopeBindings");
class Scope {
    /**
     * 创建根部 Scope，根据需要被上溯的作用域链决定是否开启新的
     */
    static createRootScope() {
        return new Scope();
    }
    constructor(parent = null) {
        this.parent = parent;
        this.bindings = undefined;
    }
    createSubScope(ownIdentifiers) {
        const originalScopeBindings = this.bindings;
        const newScopeBindings = new ScopeBindings_1.ScopeBindings(originalScopeBindings);
        ownIdentifiers.forEach((identifier) => {
            newScopeBindings.addBinding(identifier);
        });
        const newScope = new Scope(this);
        newScope.bindings = newScopeBindings;
        return newScope;
    }
}
exports.Scope = Scope;
//# sourceMappingURL=Scope.js.map