"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getErrorMessage = void 0;
/**
 * 获取错误信息
 */
function getErrorMessage(error) {
    if (!error) {
        return null;
    }
    if (error instanceof Error) {
        return error.message;
    }
    if (typeof error === 'string') {
        return error;
    }
    if (typeof error === 'object' && error !== null) {
        return (getErrorMessage(error.message) ||
            getErrorMessage(error.errorMessage) ||
            getErrorMessage(error.detail));
    }
    return null;
}
exports.getErrorMessage = getErrorMessage;
//# sourceMappingURL=errors.js.map