"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSlotRelativePath = void 0;
function relativePath(from, to) {
    const length = Math.min(from.length, to.length);
    let samePartsLength = length;
    for (let i = 0; i < length; i++) {
        if (from[i] !== to[i]) {
            samePartsLength = i;
            break;
        }
    }
    if (samePartsLength === 0) {
        return to;
    }
    let outputParts = [];
    for (let i = samePartsLength; i < from.length; i++) {
        outputParts.push('..');
    }
    outputParts = [...outputParts, ...to.slice(samePartsLength)];
    if (outputParts[0] !== '..') {
        outputParts.unshift('.');
    }
    return outputParts;
}
function getSlotRelativePath(options) {
    var _a, _b, _c;
    const { contextData, from, to } = options;
    const isSingleComponent = (_b = (_a = contextData === null || contextData === void 0 ? void 0 : contextData.extraContextData) === null || _a === void 0 ? void 0 : _a.projectRemark) === null || _b === void 0 ? void 0 : _b.isSingleComponent;
    const template = (_c = contextData === null || contextData === void 0 ? void 0 : contextData.extraContextData) === null || _c === void 0 ? void 0 : _c.template;
    let toPath = template.slots[to].path;
    toPath = [...toPath, template.slots[to].fileName];
    let fromPath = template.slots[from].path;
    if (!isSingleComponent && ['components', 'pages'].indexOf(from) !== -1) {
        fromPath = [...fromPath, 'pageName'];
    }
    return relativePath(fromPath, toPath).join('/');
}
exports.getSlotRelativePath = getSlotRelativePath;
//# sourceMappingURL=pathHelper.js.map