"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runFileGenerator = exports.insertFile = void 0;
const resultHelper_1 = require("./resultHelper");
function insertFile(root, path, file) {
    let current = root;
    path.forEach((pathNode) => {
        const dir = current.dirs.find((d) => d.name === pathNode);
        if (dir) {
            current = dir;
        }
        else {
            const newDir = (0, resultHelper_1.createResultDir)(pathNode);
            (0, resultHelper_1.addDirectory)(current, newDir);
            current = newDir;
        }
    });
    (0, resultHelper_1.addFile)(current, file);
}
exports.insertFile = insertFile;
function runFileGenerator(root, fun) {
    try {
        const result = fun();
        const [path, file] = result;
        insertFile(root, path, file);
    }
    catch (error) {
        throw new Error(`Error: ${typeof fun}`);
    }
}
exports.runFileGenerator = runFileGenerator;
//# sourceMappingURL=templateHelper.js.map