// 注意: 出码引擎注入的临时变量默认都以 "__$$" 开头，禁止在搭建的代码中直接访问。
// 例外：react 框架的导出名和各种组件名除外。
import React, { useContext, useEffect } from 'react';

import { Filter, ProTable } from '@alifd/fusion-ui/lib/index.js';

import { FormInput } from '@alifd/fusion-ui';

import {
  Page as FDPage,
  Section as FDSection,
} from '@alifd/layout/lib/index.js';

import '@alifd/fusion-ui/lib/style';

import './index.css';

const $$Page = (props) => {
  useEffect(() => {}, []);

  return (
    <div ref="outerView" style={{ height: '100%' }}>
      <Filter labelAlign="top" labelTextAlign="right">
        <FormInput
          formItemProps={{
            primaryKey: '2675',
            label: '表单项',
            size: 'medium',
            device: 'desktop',
            fullWidth: true,
          }}
          placeholder="请输入"
        />
        <FormInput
          formItemProps={{
            primaryKey: '3578',
            label: '表单项',
            size: 'medium',
            device: 'desktop',
            fullWidth: true,
          }}
          placeholder="请输入"
        />
        <FormInput
          formItemProps={{
            primaryKey: '4668',
            label: '表单项',
            size: 'medium',
            device: 'desktop',
            fullWidth: true,
          }}
          placeholder="请输入"
        />
        <FormInput
          formItemProps={{
            primaryKey: '9385',
            label: '表单项',
            size: 'medium',
            device: 'desktop',
            fullWidth: true,
          }}
          placeholder="请输入"
        />
      </Filter>
      <ProTable
        dataSource={[
          {
            id: 'id-2f5DdE2b-0',
            date: '2013-06-12',
            percent: 1.862,
            documentAmount: 2022,
            currency: 'CNY',
            company: '支付宝科技有限公司',
          },
          {
            id: 'id-2f5DdE2b-1',
            date: '2013-06-12',
            percent: 1.862,
            documentAmount: 2022,
            currency: 'CNY',
            company: '支付宝科技有限公司',
          },
        ]}
        actionColumnButtons={{
          dataSource: [
            { children: '查看', type: 'primary' },
            { children: '编辑', type: 'primary', disabled: true },
            { children: '删除', type: 'primary' },
          ],
          text: true,
          visibleButtonCount: 3,
        }}
        actionBarButtons={{
          dataSource: [
            { type: 'primary', children: '操作一' },
            { type: 'normal', children: '操作二' },
          ],
          visibleButtonCount: 3,
        }}
        paginationProps={{ pageSize: 20, current: 1, hidden: false }}
        settingButtons={true}
        columns={[
          {
            title: '公司',
            dataIndex: 'company',
            width: 160,
            formatType: 'link',
            searchable: true,
          },
          {
            title: '单据金额',
            dataIndex: 'documentAmount',
            formatType: 'money',
          },
          {
            title: '币种',
            dataIndex: 'currency',
            formatType: 'currency',
            filters: [
              { label: 'CNY', value: 'CNY' },
              { label: 'USD', value: 'USD' },
              { label: 'JPY', value: 'JPY' },
              { label: 'HKD', value: 'HKD' },
            ],
            filterMode: 'multiple',
            explanation: '提示信息',
            width: 110,
          },
          { title: '完成进度', dataIndex: 'percent', formatType: 'progress' },
          { title: '到账日期', dataIndex: 'date', formatType: 'date' },
        ]}
        primaryKey="id"
        actionColumnProps={{ title: '操作' }}
        indexColumn={false}
        hasBorder={false}
        isZebra={false}
        fixedHeader={false}
      />
      <FDPage
        contentProps={{ style: { background: 'rgba(255,255,255,0)' } }}
        ref="fdpage-bb43fbb0"
      >
        <FDSection
          style={{ backgroundColor: 'rgba(255,255,255,1)', minHeight: '' }}
        />
      </FDPage>
    </div>
  );
};

export default $$Page;

function __$$eval(expr) {
  try {
    return expr();
  } catch (error) {}
}

function __$$evalArray(expr) {
  const res = __$$eval(expr);
  return Array.isArray(res) ? res : [];
}

function __$$createChildContext(oldContext, ext) {
  const childContext = {
    ...oldContext,
    ...ext,
  };
  childContext.__proto__ = oldContext;
  return childContext;
}
