//test('basic functions should be ok', () => {
// 这里放一些单元测试
//  expect(0).toBe(0);
//});

//import CodeGenerator from '@alilc/lowcode-code-generator';

import CodeGenerator from '../src/code-generator/index';

import * as fs from 'fs';
import * as path from 'path';
import { createDiskPublisher } from '../src/helper/solutionHelper';

const testCaseBaseName = path.basename(__filename, '.test.ts');

test(testCaseBaseName, async () => {
  const inputSchemaJsonFile = path.join(
    __dirname,
    `${testCaseBaseName}-schema.json`
  );
  const outputDir = path.join(__dirname, `${testCaseBaseName}.generated`);
  await exportProject(inputSchemaJsonFile, outputDir);

  const generatedPageFileContent = fs.readFileSync(
    path.join(outputDir, 'demo-project/src/pages/$/index.tsx'),
    'utf-8'
  );
  expect(generatedPageFileContent).toContain(`<div`);
  expect(generatedPageFileContent).toContain(`</div>`);
  expect(generatedPageFileContent).not.toContain(
    `import Page from "undefined";`
  );
});

function exportProject(inputPath: string, outputPath: string) {
  const schemaJson = fs.readFileSync(inputPath, { encoding: 'utf8' });
  const newSchema = schemaJson;
  const builder = CodeGenerator.solutions.icejszwh();

  return builder.generateProject(newSchema).then(async (result) => {
    //displayResultInConsole(result);
    const publisher = createDiskPublisher();
    await publisher.publish({
      project: result,
      outputPath,
      projectSlug: 'demo-project',
      createProjectFolder: true,
    });

    return result;
  });
}
